IDfier Developers

Get a session's status and result

POST
/business/auth/result

Poll this from your server (every 2 s, backing off to 10 s) until the status is approved, denied or error, or expiresAt has passed. user is set once approved: always id, plus the fields in your scopes that IDfier has for the customer.

Authorization

clientIdclientSecret
headerclientid<token>
headerclientsecret<token>

Request Body

application/json
  1. body
referenceId*string
Formatuuid

Response Body

The session, and the customer once approved

application/json
  1. response
status?Success

100 on success

data?
Example Request
curl -X POST 'https://api.idfier.com/api/v3/business/auth/result' \  -H 'Content-Type: application/json' \  -d '{  "referenceId": "8502eb05-558d-4480-8511-c1011710b340"}'
Example Response
{  "status": 100,  "data": {    "user": {      "id": "u_3f9a2c",      "fullname": "Anna Lindqvist",      "ageOver18": true,      "authLevel": "Gold"    },    "session": {      "referenceId": "550e8400-e29b-41d4-a716-446655440000",      "status": "approved",      "method": "idfier",      "expiresAt": "2026-10-31T10:05:00.000Z",      "createdAt": "2026-10-31T10:00:00.000Z"    }  }}